apiVersion: apps/v1
kind: Deployment
metadata:
  name: emailservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app: emailservice
  template:
    metadata:
      labels:
        app: emailservice
    spec:
      containers:
      - name: emailservice
        image: your-dockerhub-username/emailservice:latest
        ports:
        - containerPort: 80

---
apiVersion: v1
kind: Service
metadata:
  name: emailservice
spec:
  selector:
    app: emailservice
  ports:
  - protocol: TCP
    port: 80
    targetPort: 80
